VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Extras"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' This property will return the Element name from the element type integer
' This property will return the Element number from the element type name
Public Property Get TypeName2Num(ByVal eType As String) As String
    Select Case eType
    Case "Cell Library Header": TypeName2Num = 1
    Case "Cell Header": TypeName2Num = 2
    Case "Line": TypeName2Num = 3
    Case "Line String": TypeName2Num = 4
    Case "Shape": TypeName2Num = 6
    Case "Text Node": TypeName2Num = 7
    Case "Curve": TypeName2Num = 11
    Case "Complex String": TypeName2Num = 12
    Case "Complex Shape": TypeName2Num = 14
    Case "Ellipse": TypeName2Num = 15
    Case "Arc": TypeName2Num = 16
    Case "Text": TypeName2Num = 17
    Case "Surface": TypeName2Num = 18
    Case "Solid": TypeName2Num = 19
    Case "BSpline Pole": TypeName2Num = 21
    Case "Point String": TypeName2Num = 22
    Case "Cone": TypeName2Num = 23
    Case "BSpline Surface": TypeName2Num = 24
    Case "BSpline Boundary": TypeName2Num = 25
    Case "BSpline Knot": TypeName2Num = 26
    Case "BSplinr Curve": TypeName2Num = 27
    Case "BSpline Weight": TypeName2Num = 28
    Case "Dimension": TypeName2Num = 33
    Case "Shared Cell Definition": TypeName2Num = 34
    Case "Shared Cell": TypeName2Num = 35
    Case "MultiLine": TypeName2Num = 36
    Case "Tag": TypeName2Num = 37
    Case "Raster Header": TypeName2Num = 87
    Case "Raster Comonent": TypeName2Num = 88
    Case Else: TypeName2Num = "NOT FOUND: " & eType
    End Select
End Property
Public Property Get TypeNum2Name(ByVal eType As Integer) As String
    Select Case eType
    Case 1: TypeNum2Name = "Cell Library Header"
    Case 2: TypeNum2Name = "Cell Header"
    Case 3: TypeNum2Name = "Line"
    Case 4: TypeNum2Name = "Line String"
    Case 6: TypeNum2Name = "Shape"
    Case 7: TypeNum2Name = "Text Node"
    Case 11: TypeNum2Name = "Curve"
    Case 12: TypeNum2Name = "Complex String"
    Case 14: TypeNum2Name = "Complex Shape"
    Case 15: TypeNum2Name = "Ellipse"
    Case 16: TypeNum2Name = "Arc"
    Case 17: TypeNum2Name = "Text"
    Case 18: TypeNum2Name = "Surface"
    Case 19: TypeNum2Name = "Solid"
    Case 21: TypeNum2Name = "BSpline Pole"
    Case 22: TypeNum2Name = "Point String"
    Case 23: TypeNum2Name = "Cone"
    Case 24: TypeNum2Name = "BSpline Surface"
    Case 25: TypeNum2Name = "BSpline Boundary"
    Case 26: TypeNum2Name = "BSpline Knot"
    Case 27: TypeNum2Name = "BSplinr Curve"
    Case 28: TypeNum2Name = "BSpline Weight"
    Case 33: TypeNum2Name = "Dimension"
    Case 34: TypeNum2Name = "Shared Cell Definition"
    Case 35: TypeNum2Name = "Shared Cell"
    Case 36: TypeNum2Name = "MultiLine"
    Case 37: TypeNum2Name = "Tag"
    Case 87: TypeNum2Name = "Raster Header"
    Case 88: TypeNum2Name = "Raster Comonent"
    Case Else: TypeNum2Name = "NOT FOUND: " & eType
    End Select
End Property
