Attribute VB_Name = "DbLinkAttach"
Option Explicit
'-----------------------------------------------------------------------+
'
'   DbLinkAttach.bas
'   1.0
'   09.23.2003
'
'   Copyright: (c) 2003 Bentley Systems, Incorporated. All rights reserved.
'
'-----------------------------------------------------------------------+
' This example illustrates how to add a database linkage to an element
'-----------------------------------------------------------------------+

'-----------------------------------------------------------------------+
' Global variables
'-----------------------------------------------------------------------+
Public oDatabaseLink As DatabaseLink

'-----------------------------------------------------------------------+
'
'   name        DbLinkAdd
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
Sub DbLinkAdd(Element As Element)
    Element.AddDatabaseLink oDatabaseLink
    Element.Rewrite
End Sub

'-----------------------------------------------------------------------+
'
'   name        DbLinkCreate
'
'   Author      BSI                                         09/2003
'
'-----------------------------------------------------------------------+
Sub DbLinkCreate()

    Dim MSLink As Long
    MSLink = 1
    
    Set oDatabaseLink = CreateDatabaseLink(MSLink, 1, msdDatabaseLinkageOdbc, False, 0)
    
End Sub

'-----------------------------------------------------------------------+
'
'   name        StartApp
'
'   Author      BSI                                         09/2003
'
'-----------------------------------------------------------------------+
Sub StartApp()

    DbLinkCreate
    
    ' Start the ILocateCommandEvents
    CommandState.StartLocate New DbElementLocate
End Sub
