Attribute VB_Name = "MenuCommands"
'---------------------------------------------------------------------------------------+
'
'   Copyright: (c) Bentley Systems, Incorporated. All rights reserved.
'
'---------------------------------------------------------------------------------------+
'---------------------------------------------------------------------------------------+
' Module:   MenuCommands.bas
' Status:   WORKING
' Date:     05/21/04
' Author:   BSI-DEVSPT
' Version:  1.0
'
' This example illustrates how call a MVBA sub using MicroStation's Customization tool.
'
'---------------------------------------------------------------------------------------+
Option Explicit
'---------------------------------------------------------------------------------------+
'
'   Private declaration imports
'
'---------------------------------------------------------------------------------------+
'---------------------------------------------------------------------------------------+
'
'   Public variable definitions
'
'---------------------------------------------------------------------------------------+
'---------------------------------------------------------------------------------------+
'
'   Public constant definitions
'
'---------------------------------------------------------------------------------------+
'---------------------------------------------------------------------------------------+
'
'   Public type definitions
'
'---------------------------------------------------------------------------------------+
'---------------------------------------------------------------------------------------+
'
'   Public function definitions
'
'---------------------------------------------------------------------------------------+

'*---------------------------------------------------------------------------------**''**
' @description      Displays the open design file name
' @param            void
' @return           void
' @version          1.0
' @dependencies
' @example
'
' @remarks
' @alinkjoin
' @group
' @bsimethod                                                    BSI-DEVSPT      04/04
'---------------+---------------+---------------+---------------+---------------+------''
Public Sub DisplayFileName()

    MsgBox ActiveDesignFile.Name

End Sub
'*---------------------------------------------------------------------------------**''**
' @description      Displays the open design model name
' @param            void
' @return           void
' @version          1.0
' @dependencies
' @example
'
' @remarks
' @alinkjoin
' @group
' @bsimethod                                                    BSI-DEVSPT      04/04
'---------------+---------------+---------------+---------------+---------------+------''
Public Sub DisplayActiveModelName()

    MsgBox ActiveModelReference.Name

End Sub

