Attribute VB_Name = "modUtility"
'
'  Copyright: (c) 2004 Bentley Systems, Incorporated. All rights reserved.
'
Option Explicit
Option Private Module

''
''''    Accessing the active dimension style.
''
''  Warning from MDL documentation -- do not try to free this pointer.  For most
''  dimension styles, the program has to free it by calling mdlDimStyle_style.
''  The active dimension style is the one exception to this.
''
Declare Function mdlDimStyle_getActive Lib "stdmdlbltin.dll" () As Long
Declare Function mdlDimStyle_setActive Lib "stdmdlbltin.dll" (ByVal dimStyle As Long) As Long
Declare Function mdlDimStyle_setActiveByName Lib "stdmdlbltin.dll" (ByVal pStyleNameIn As Long) As Long


''
'''  Allocate and free working memory
''
Declare Function mdlDimStyle_create Lib "stdmdlbltin.dll" () As Long
Declare Sub mdlDimStyle_free Lib "stdmdlbltin.dll" (ByRef dimStyle As Long)

Declare Function mdlDimStyle_copy Lib "stdmdlbltin.dll" (ByVal copyStyle As Long, ByVal sourceStyle As Long) As Long
Declare Function mdlDimStyle_getModelRef Lib "stdmdlbltin.dll" (ByVal dimStyle As Long) As Long

''
'''  Moving styles to and from the design file
''
Declare Function mdlDimStyle_add Lib "stdmdlbltin.dll" (ByVal dimStyle As Long, ByVal modelRef As Long) As Long
Declare Function mdlDimStyle_replace Lib "stdmdlbltin.dll" (ByVal dimStyle As Long, ByVal pOldName As Long, ByVal modelRef As Long) As Long
Declare Function mdlDimStyle_delete Lib "stdmdlbltin.dll" (ByVal pStyleName As Long, ByVal modelRef As Long) As Long
Declare Function mdlDimStyle_getByName Lib "stdmdlbltin.dll" (ByVal dimStyle As Long, ByVal pStyleName As Long, ByVal preferredModelRef As Long, ByVal options As Long) As Long


''
'''  Controlling override shields
''
Declare Function mdlDimStylePropMask_setPropertyBit Lib "stdmdlbltin.dll" (ByVal propMask As Long, ByVal dimStyleProp As Long, ByVal bitValue As Long) As Long
Declare Function mdlDim_getOverrides Lib "stdmdlbltin.dll" (ByVal overrideFlags As Long, ByVal pDimElm As Long) As Long
Declare Function mdlDim_setOverrides Lib "stdmdlbltin.dll" (ByRef dimEdPP As Long, ByVal overrideFlags As Long, ByVal modelRef As Long) As Long
Declare Function mdlDimStylePropMask_create Lib "stdmdlbltin.dll" (ByRef pPropMask As Long) As Long
Declare Sub mdlDimStylePropMask_free Lib "stdmdlbltin.dll" (ByRef pPropMask As Long)

