Attribute VB_Name = "CellCounterM1"
Option Explicit

Sub main()
    Dim SL As New VBA_Extras.StringList
    Dim SL1 As New VBA_Extras.StringList
    Dim count As Integer
    Dim s As String
    
    SL.Add "SL First String"
    SL.Add "SL Second String"
    SL.Add "SL Third String"
        
    SL1.Add "SL1 First String"
    SL1.Add "SL1 Second String"
    SL1.Add "SL1 Third String"
    
    count = SL1.count
    
    SL1.Delete (1)
    
    count = SL1.count
    
    s = SL1(0)
    s = SL1(1)
    
    CellCounterF1.Show
End Sub

' This sub adds all of a specific element type to the Treeview.
' This sub also counts the elements in the Treeview
' The optional parameter is so this Sub does not appear in
' the Macro list box.
Public Sub CellDgnCount(Optional temp As Integer)
    Dim oScanCriteria   As New ElementScanCriteria
    Dim oElementEnum    As ElementEnumerator
    Dim cCellCounterC1         As New CellCounterC1
    Dim oElement        As Element
    Dim oNode           As Node
    Dim totalElems      As Long
    Dim oLevel          As Level
    
    totalElems = 0
    CellCounterF1.TreeView1.Nodes.Clear
    'CellCounter.TextBox1.Text = ""
    
    If CellCounterF1.chkLevels.Value Then
        Set oLevel = ActiveModelReference.DesignFile.Levels(CellCounterF1.cboLevels.Text)
        oScanCriteria.ExcludeAllLevels
        oScanCriteria.IncludeLevel oLevel
    End If
    If CellCounterF1.CheckBox1.Value Then
        ' Must do this otherwise even non-graphical elements are included
        oScanCriteria.ExcludeNonGraphical
    Else
        oScanCriteria.ExcludeAllTypes
        oScanCriteria.IncludeType cCellCounterC1.TypeName2Num(CellCounterF1.cboElemNames.Text)
    End If
    
    Set oElementEnum = ActiveModelReference.Scan(oScanCriteria)
    
    Do While oElementEnum.MoveNext
        Set oElement = oElementEnum.Current
        cCellCounterC1.BuildTree oElement, CellCounterF1.TreeView1
    Loop
    ' Adds the number of each element type to the parent node.
    For Each oNode In CellCounterF1.TreeView1.Nodes
        If oNode.Children > 0 Then
            oNode.Text = oNode.Text & " (" & oNode.Children & ")"
            totalElems = totalElems + oNode.Children
        End If
    Next
    CellCounterF1.StatusBar1.Panels(2).Text = totalElems
End Sub

