Attribute VB_Name = "Module1"
Option Explicit

'-----------------------------------------------------------------------+
'
'   ElementAttribsGet.mvba
'   1.0
'   02.24.2004
'
'   Copyright: (c) 2004 Bentley Systems, Incorporated. All rights reserved.
'
'----------------------------------------------------------------------+
'----------------------------------------------------------------------+
'
'   STATUS: WORKING
'   DATE:   02/24/2004
'
'   This example illustrates how to get a selected element's displayed
'   color, style and weight. It get's the correct values because it
'   determines if Level Symbology, ByLevel or the element's explicit
'   settings are used.
'
'----------------------------------------------------------------------+
'----------------------------------------------------------------------+
'
'   Name        elemGetLineStyleName
'
'   Author      BSI-DEVSPT                                  08/2002
'
'----------------------------------------------------------------------+
Function elemGetLineStyleName(lineStyleNumber As Long) As String

    Dim lineStyleName As String
    
    lineStyleName = ActiveDesignFile.LineStyleNameFromNumber(lineStyleNumber)
    elemGetLineStyleName = lineStyleName
    
End Function

'----------------------------------------------------------------------+
'
'   Name        StartApp
'
'   Author      BSI-DEVSPT                                  02/2004
'
'----------------------------------------------------------------------+
Sub StartApp()
    CommandState.StartLocate New ElementLocateCommand
End Sub
