Attribute VB_Name = "TestClippingPlane"
Option Explicit

Sub TestClippingPlane()
    Dim sPlane As Plane3d
    Dim oView As View
    Dim oCone As ConeElement
    
    'Find clipping planes of first View
    Set oView = ActiveDesignFile.Views(1)
    
    'indicate back plane with cone
    sPlane = oView.ExtractBackClippingPlane
    Set oCone = CreateConeElement1(Nothing, oView.Extents.y / 4, sPlane.Origin, 0, Point3dAddScaled(sPlane.Origin, sPlane.normal, oView.Extents.Z / 3), Matrix3dIdentity())
    oCone.color = 1
    ActiveModelReference.AddElement oCone
    oCone.Redraw
    
    'indicate front plane with cone
    sPlane = oView.ExtractFrontClippingPlane
    Set oCone = CreateConeElement1(Nothing, oView.Extents.y / 4, sPlane.Origin, 0, Point3dAddScaled(sPlane.Origin, sPlane.normal, oView.Extents.Z / 3), Matrix3dIdentity())
    oCone.color = 2
    ActiveModelReference.AddElement oCone
    oCone.Redraw
    
End Sub

