Attribute VB_Name = "levList"
Option Explicit

' To scan levels, you need get design file first.
' levels belong to design file, not model ref and attachments.
' this example not list nest reference files levels.


Sub ShowAttachmentsLvls()
    Dim att As Attachment
    Dim dgnFile As DesignFile
    Dim lvl As Level
    Dim oView As View

    For Each att In ActiveModelReference.Attachments
        Set dgnFile = att.DesignFile
        Debug.Print "****************************"
        Debug.Print "Attachment is " & att.LogicalName & " from model " & _
                    att.Name & " in design file " & att.DesignFile.FullName
        
            For Each lvl In att.Levels
                Debug.Print "level name is " & lvl.Name
            Next lvl
        Debug.Print "****************************"
    Next
End Sub


Sub ToggleLevelDisplay()
    Dim oLevel As Level
    Dim oView As View
    Dim strLevelName As String
    Dim viewIndex As Integer
    
    strLevelName = "Default"
    viewIndex = 1
    Set oLevel = ActiveDesignFile.Levels(strLevelName)
    Set oView = ActiveDesignFile.Views(viewIndex)
    
    If oView.IsLevelShown(oLevel) Then
        oView.HideLevel oLevel
    Else
        oView.ShowLevel oLevel
    End If

    ' Now make the view reflect the change
    oView.Redraw
End Sub


