Attribute VB_Name = "NestedRefs"
'----------------------------------------------------------------------------
' NestedRefs
'
' Status: WORKING
'
' Date: 01/07/2003
'
' This example illustrates how recursively loop through the nested reference
' files.
'
' Author: BSI
'
'----------------------------------------------------------------------------
'-----------------------------------------------------------------------+
'
'   name        RefDisplay
'
'   author      BSI                                             01/2003
'
'-----------------------------------------------------------------------+
Sub RefDisplay(oattachment As Attachments, tabs As String)
    
    Dim RefAttachments As Attachments
    Dim att As Attachment
    
    If oattachment Is Nothing Then
        Debug.Print ActiveModelReference.DesignFile.Name
        Set RefAttachments = ActiveModelReference.Attachments
    Else
        Set RefAttachments = oattachment
    End If
    
    For Each att In RefAttachments
        Debug.Print tabs + att.DesignFile.Name

        If att.Attachments.count <> 0 Then
            RefDisplay att.Attachments, tabs + Chr(9)
        End If
    Next
    
End Sub
'-----------------------------------------------------------------------+
'
'   name        main
'
'   author      BSI                                             01/2003
'
'-----------------------------------------------------------------------+
Sub main()
    
    Debug.Print "Referance files"
    
    RefDisplay Nothing, Chr(9)
    
End Sub
