Attribute VB_Name = "modMain"
Option Explicit

'  Note that a view name of * means coincident
Sub AttachReference(strFilePath As String, strModelName As String, strLogicalName As String, strDescription As String, strViewName As String)
    Dim cmd As String
    
    cmd = "ATTACH REFERENCE"
    cmd = cmd & " " & strFilePath
    cmd = cmd & " " & strModelName
    '  Surround the logical name and description with " so they can include spaces
    cmd = cmd & " " & """" & strLogicalName & """"
    cmd = cmd & " " & """" & strDescription & """"
    cmd = cmd & " " & strViewName

    CadInputQueue.SendKeyin cmd
End Sub
Sub RotateAngle(strName As String, dblAngle As Double)
    CadInputQueue.SendCommand "REFERENCE ROTATE ANGLE " & strName

    SetCExpressionValue "tcb->refAngle.z", dblAngle

    CadInputQueue.SendDataPoint Point3dFromXYZ(0, 0, 0), 1
End Sub
Sub ScaleAbsolute(strName As String, dblFactor As Double)
    CadInputQueue.SendKeyin "reference scale absolute " & strName
    
    If CommandState.CommandResult <> 0 Then Exit Sub

    SetCExpressionValue "tcb->refScale.master", dblFactor
    
'   Send a data point to the current command
    CadInputQueue.SendDataPoint Point3dFromXYZ(0, 0, 0), 1
End Sub

Sub TryReferenceCommands()
    AttachReference "test2d.dgn", "Default", "The Logical Name", "The Description", "*"
    RotateAngle "test2d.dgn", 90
    ScaleAbsolute "test2d.dgn", 5
End Sub


