Attribute VB_Name = "Module1"
Sub main()

Dim oAttachment      As Attachment
Dim oAttachments     As Attachments
    
    Set oAttachments = ActiveModelReference.Attachments
       For Each oAttachment In oAttachments
             refFileGetFormat oAttachment
       Next
 
End Sub


'-----------------------------------------------------------------------+
'
'   name        refFileGetFormat
'
'   author      BSI                                              10/2002
'
'-----------------------------------------------------------------------+

 Sub refFileGetFormat(oAttachment As Attachment)

    Dim stat As Integer
     'with the the attachment
    With oAttachment
        Select Case (.DesignFile.Format)  'Get the format property
            Case -1  'Unknown format
                 stat = MsgBox("msdDesignFileFormatUnknown", vbOKOnly)
            Case 0    'Design File Format Current
                 stat = MsgBox("msdDesignFileFormatCurrent", vbOKOnly)
            Case 1     'Version 7 file format
                 stat = MsgBox("msdDesignFileFormatV7", vbOKOnly)
            Case 2      'Version 8 file format
                stat = MsgBox("msdDesignFileFormatV8", vbOKOnly)
            Case 3     'DWG file format
                stat = MsgBox("msdDesignFileFormatDWG", vbOKOnly)
            Case 4     'DXF file format
                stat = MsgBox("msdDesignFileFormatDXF", vbOKOnly)
            Case Else  'In case any other unknown formats.
                stat = MsgBox("Format unknown", vbOKOnly)
        End Select

    End With
 End Sub


