Attribute VB_Name = "Module1"
Private Const SUCCESS As Long = 0
Private Const MAX_PATH As Long = 260
Private Const FILE_MYCOMPUTER As Long = 0
Private Const FILE_DEVICE_NETWORK As Long = &H12
Private Const FILE_DEVICE_DISK_FILE_SYSTEM As Long = &H8
Private Const FILE_DEVICE_PARALLEL_PORT As Long = &H16
Private Const FILE_DEVICE_SERIAL_PORT As Long = &H1B
Private Const FILE_DEVICE_TAPE As Long = &H1F
Private Const FILE_DEVICE_SMARTCARD As Long = &H31
Private Const FILE_DEVICE_VIRTUAL_DISK As Long = &H24
Private Const BIF_RETURNONLYFSDIRS As Long = &H1
Private Const BIF_BROWSEFORCOMPUTER As Long = &H1000
Private Const FILE_ATTRIBUTE_READONLY As Long = &H1
Private Const FILE_ATTRIBUTE_HIDDEN   As Long = &H2
Private Const FILE_ATTRIBUTE_SYSTEM   As Long = &H4
Private Const FILE_ATTRIBUTE_DIRECTORY As Long = &H10
Private Const FILE_ATTRIBUTE_ARCHIVE   As Long = &H20
Private Const FILE_ATTRIBUTE_ENCRYPTED As Long = &H40
Private Const FILE_ATTRIBUTE_NORMAL    As Long = &H80
Private Const FILE_ATTRIBUTE_TEMPORARY As Long = &H100
Private Const FILE_ATTRIBUTE_SPARSE_FILE As Long = &H200
Private Const FILE_ATTRIBUTE_REPARSE_POINT As Long = &H400
Private Const FILE_ATTRIBUTE_COMPRESSED As Long = &H800
Private Const FILE_ATTRIBUTE_OFFLINE As Long = &H1000
Private Const FILE_ATTRIBUTE_NOT_CONTENT_INDEXED As Long = &H2000

Private Type BROWSEINFO 'BI
   hOwner As Long
   pidlRoot As Long
   pszDisplayName As String
   lpszTitle As String
   ulFlags As Long
   lpfn As Long
   lParam As Long
   iImage As Long
End Type


Private Declare Function SHBrowseForFolder Lib "shell32.dll" _
   Alias "SHBrowseForFolderA" _
  (lpBrowseInfo As BROWSEINFO) As Long

Private Declare Function SHGetSpecialFolderLocation _
   Lib "shell32.dll" _
  (ByVal hwndOwner As Long, _
   ByVal nFolder As Long, _
   pidl As Long) As Long
Function AsciiZ(text As String) As String

Dim i As Long
i = InStr(text, Chr(0))
If i = 0 Then
    AsciiZ = text
Else
    AsciiZ = Left(text, i - 1)
End If
End Function

Private Function BrowseForComputers() As String
   Dim BI As BROWSEINFO
   Dim pidl As Long
   Dim sPath As String
   Dim pos As Integer
   Dim hWnd As Long


   If SHGetSpecialFolderLocation(hWnd, FILE_DEVICE_NETWORK, pidl) = SUCCESS Then
      With BI
         .hOwner = hWnd
         .pidlRoot = pidl
         .pszDisplayName = Space$(MAX_PATH)
         .lpszTitle = "Select computer"
         .ulFlags = BIF_BROWSEFORCOMPUTER
      End With
     
      If SHBrowseForFolder(BI) <> 0 Then
               BrowseForComputers = "\\" & AsciiZ(BI.pszDisplayName)
      End If
   End If
End Function

Private Function BrowseFolders() As String
   Dim BI As BROWSEINFO
   Dim pidl As Long
   Dim sPath As String
   Dim pos As Integer
   Dim hWnd As Long


   If SHGetSpecialFolderLocation(hWnd, FILE_MYCOMPUTER, pidl) = SUCCESS Then
      With BI
         .hOwner = hWnd
         .pidlRoot = pidl
         .pszDisplayName = Space$(MAX_PATH)
         .lpszTitle = "Select Folder"
         .ulFlags = FILE_ATTRIBUTE_DIRECTORY
      End With
     
      If SHBrowseForFolder(BI) <> 0 Then
               BrowseFolders = "\\" & AsciiZ(BI.pszDisplayName)
      End If
   End If
End Function



