VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} UserForm1 
   Caption         =   "UserForm1"
   ClientHeight    =   2955
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4365
   OleObjectBlob   =   "UserForm1.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "UserForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub ListBox1_Click()
    
    Dim oTagDef     As TagDefinition
    Dim oTagDefs    As TagDefinitions
    Dim oTagSet     As TagSet
    
    TextBox1.Value = vbNullChar
    UserForm1.ListBox2.Clear
    
    ' Get the specific tag set we want
    Set oTagSet = ActiveDesignFile.TagSets(UserForm1.ListBox1.Value)
    
    ' Get the specific tag or tag definition we want
    Set oTagDefs = oTagSet.TagDefinitions
    
    ' Display a message if no tags are found in the tag set
    If oTagDefs.Count = 0 Then
        UserForm1.ListBox2.AddItem "<No Tags Found>"
        Exit Sub
    End If
    
    ' Display each tag found in listbox 2
    For Each oTagDef In oTagDefs
        UserForm1.ListBox2.AddItem oTagDef.Name
    Next
End Sub

Private Sub ListBox2_Click()

    Dim oTagDef     As TagDefinition
    Dim oTagSet     As TagSet
    Dim oTagSets    As TagSets

    ShowMessage ""
    TextBox1.Enabled = True

    ' Do the following if no tags are found in the tag set
    If UserForm1.ListBox2.Value = "<No Tags Found>" Then
        TextBox1.Value = vbNullChar
        TextBox1.Enabled = False
        ShowMessage "No Tag Found"
        ShowCommand ""
        ShowPrompt ""
        Exit Sub
    End If

    ' Get all the tag sets
    Set oTagSets = ActiveDesignFile.TagSets
    
    ' Get the specific tag set we want
    Set oTagSet = oTagSets(UserForm1.ListBox1.Value)
    
    ' Get the specific tag or tag definition we want
    Set oTagDef = oTagSet.TagDefinitions(UserForm1.ListBox2.Value)
    
    ' If there is no default value populate the textbox 1 with the tag name
    If oTagDef.DefaultValue = "" Then
        TextBox1.Value = oTagDef.Name
    Else
        TextBox1.Value = oTagDef.DefaultValue
    End If
    
    ' Restart this locate command
    CommandState.StartPrimitive New TagPlacementCls
End Sub

Private Sub UserForm_Terminate()
    ApplicationExit
End Sub
