Attribute VB_Name = "modTagSetDefAdd"
Option Explicit

Sub main()
    frmTagSetDefAdd.Show
End Sub

' Adds all Tag Sets and Tag Defs to Treeview
' The Optional parameter is so the sub does not display
' in the macro list. Only the main() will display.
Sub init(Optional NA As String)
    Dim oTagSets As TagSets
    Dim oTagSet As New tagSet
    Dim oTagDefs As TagDefinitions
    Dim oTagDef As New TagDefinition
    Dim cTree As New clsTagSetDefAdd
    Dim iSet As Long
    Dim iDef As Long
    
    ' Initializes ImageList for Treeview.
    frmTagSetDefAdd.TreeView1.ImageList = frmTagSetDefAdd.ImageList1
    
    ' Clears Treeview
    frmTagSetDefAdd.TreeView1.Nodes.Clear
    
    Set oTagSets = ActiveDesignFile.TagSets
    
    ' Steps through all the Tag Sets
    For iSet = 1 To oTagSets.Count
        Set oTagSet = oTagSets(iSet)
        cTree.BuildTree oTagSet.Name, "", frmTagSetDefAdd.TreeView1
        Set oTagDefs = oTagSet.TagDefinitions
        ' Steps through all the Tag Definitions.
        For iDef = 1 To oTagSet.TagDefinitions.Count
            Set oTagDef = oTagDefs(iDef)
            cTree.BuildTree oTagDef.Name, oTagSet.Name, frmTagSetDefAdd.TreeView1, oTagDef
        Next
    Next
End Sub

' This Sub adds a Tag Set to MicroStation and to the Treeview.
Sub AddSet(setText As String)
    Dim oTagSets As TagSets
    Dim oTagSet As tagSet
    
    Set oTagSets = ActiveDesignFile.TagSets
    With frmTagSetDefAdd
        If setText <> "" Then
            oTagSets.Add setText    ' Adds TagSet to Tag Sets
            .TreeView1.Nodes.Add , , "P" + setText, setText, 2  ' Adds Tag Set to Treeview
            .TreeView1.Refresh
            .txtAddSet.Text = ""
        End If
    End With
End Sub

