Attribute VB_Name = "EDF"
'----------------------------------------------------------------------------
' ChangeEDF
'
' Status: WORKING
'
' Date: 1/25/2003
'
' This example illustrates how to modify enter data fields.
'
' Author: BSI
'
'----------------------------------------------------------------------------
'-----------------------------------------------------------------------+
'
'   name        processFenceChange
'
'   author      BSI                                             1/2003
'
'-----------------------------------------------------------------------+
Sub processFenceChange()

    Dim oElEnum As ElementEnumerator
    Dim count As Integer
    Dim oFence As Fence
    Dim oEl As Element
    Set oFence = ActiveDesignFile.Fence
    
    If oFence.IsDefined = True Then
     '   ActiveSettings.FenceOverlap = True
        Set oElEnum = oFence.GetContents
    Else
        MsgBox "Define a Fence"
        End
    End If
    
    ' Loop through the elements in the fence
    While oElEnum.MoveNext
        Set oEl = oElEnum.Current
        
        If (oEl.IsTextNodeElement) Then
            Dim oElements As ElementEnumerator
            
            Set oElements = oEl.AsTextNodeElement.GetSubElements
            
            Do While oElements.MoveNext
                Set oEl = oElements.Current
                
                With oEl.AsTextElement
                    If (MsgBox("Replace?", vbYesNo, "EDF Edit") = vbYes) Then
                        .Redraw msdDrawingModeTemporaryErase
                        .DataEntryRegionText(1) = InputBox("Enter new value")
                        .Rewrite
                        .Redraw msdDrawingModeNormal
                        RedrawAllViews msdDrawingModeNormal
                    End If
                    
                End With
            Loop

        ElseIf oEl.IsTextElement Then
        
            With oEl.AsTextElement
                .Redraw msdDrawingModeHilite
                If (MsgBox("Replace?", vbYesNo, "EDF Edit") = vbYes) Then
                    .Redraw msdDrawingModeTemporaryErase
                    .DataEntryRegionText(1) = InputBox("Enter new value")
                    .Rewrite
                    .Redraw msdDrawingModeNormal
                    RedrawAllViews msdDrawingModeNormal
                End If
            End With
        End If
    Wend
    
End Sub
'-----------------------------------------------------------------------+
'
'   name        processFenceErase
'
'   author      BSI                                             1/2003
'
'-----------------------------------------------------------------------+
Sub processFenceErase()

    Dim oElEnum As ElementEnumerator
    Dim count As Integer
    Dim oFence As Fence
    Dim oEl As Element
    Set oFence = ActiveDesignFile.Fence
    
    If oFence.IsDefined = True Then
     '   ActiveSettings.FenceOverlap = True
        Set oElEnum = oFence.GetContents
    Else
        MsgBox "Define a Fence"
        End
    End If
    
    ' Loop through the elements in the fence
    While oElEnum.MoveNext
        Set oEl = oElEnum.Current
        
        If (oEl.IsTextNodeElement) Then
            Dim oElements As ElementEnumerator
            
            Set oElements = oEl.AsTextNodeElement.GetSubElements
            
            Do While oElements.MoveNext
                Set oEl = oElements.Current
                
                With oEl.AsTextElement
                    .Redraw msdDrawingModeTemporaryErase
                    .DataEntryRegionText(1) = " "
                    .Rewrite
                    .Redraw msdDrawingModeNormal
                    RedrawAllViews msdDrawingModeNormal
                End With
            Loop

        ElseIf oEl.IsTextElement Then
        
            With oEl.AsTextElement
                .Redraw msdDrawingModeHilite
                
                    .Redraw msdDrawingModeTemporaryErase
                    .DataEntryRegionText(1) = " "
                    .Rewrite
                    .Redraw msdDrawingModeNormal
                    RedrawAllViews msdDrawingModeNormal
            End With
        End If
    Wend
    
End Sub

