Attribute VB_Name = "PlaceAutoText"
Option Explicit


'-----------------------------------------------------------------------+
'                                                                       |
' Copyright 1993-2003, Bentley Systems, Incorporated                    |
' All rights reserved.                                                  |
'                                                                       |
' Limited permission is hereby granted to reproduce and modify this     |
' copyrighted material provided that the resulting code is used only in |
' conjunction with Bentley Systems products under the terms of the      |
' license agreement provided therein, and that this notice is retained  |
' in its entirety in any such reproduction or modification.             |
'                                                                       |
'----------------------------------------------------------------------*/
'-----------------------------------------------------------------------+
' PlaceTextAuto
'
' Status: WORKING
'
' This example illustrates how to send text string to word editor
' and hidden keyin to place text and place note through wordProcessor
'
' Author: BSI                                                   06/2003
'
'-----------------------------------------------------------------------+
'-----------------------------------------------------------------------+
'
'   name        plAutoText
'
'   author      BSI                                             06/2003
'
'-----------------------------------------------------------------------+

Sub plAutoText()


        Dim point As Point3d
        CadInputQueue.SendCommand "WORDPROC PLACE TEXT"
        
        ' If you want place a note, using this one
        'CadInputQueue.SendCommand "WORDPROC PLACE NOTE MULTI FORCE"
        
        CadInputQueue.SendMessageToApplication "WORDPROC", "firstline This is the first line"
        CadInputQueue.SendMessageToApplication "WORDPROC", "nextline This is the second line"
        point.X = 0
        point.Y = 100
        CadInputQueue.SendDataPoint point
        CommandState.StartDefaultCommand
        
        'CadInputQueue.SendMessageToApplication "WORDPROC", "applybtn"  'Simulate Control - Enter

End Sub
