VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ElementLocateCommand"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements ILocateCommandEvents

Private Sub ILocateCommandEvents_Accept(ByVal Element As Element, Point As Point3d, ByVal view As view)
    
    Dim oShape          As ShapeElement
    Dim oStyle          As LineStyle
    Dim Distance        As Double
    Dim rPoints(0 To 4) As Point3d
    Dim rOrigin         As Point3d
    Dim Status          As Integer
    Dim TextElement     As Long
    Dim addSnaptol      As Long
    Dim viewP           As Long
    
    TextElement = Element.MdlElementDescrP
    TextElement = ElmdscrAccessor_getMSElement(TextElement)
    
    viewP = 0
    addSnaptol = 0
    
    ' Get's the text element's shape vertices
    Status = mdlText_extractShape(rPoints(0), rOrigin, TextElement, addSnaptol, viewP)
    
    ' Creates a shape element from the vertices
    Set oShape = CreateShapeElement1(Nothing, rPoints(), msdFillModeNotFilled)
    
    ' Set's the shape element's color and linestyle
    oShape.Color = 3
    Set oStyle = ActiveDesignFile.LineStyles(3)
    oShape.LineStyle = oStyle
    
    ' Adds then redraws the shape element
    ActiveModelReference.AddElement oShape
    oShape.Redraw
    
    ' Get's then displays the text element's length
    Distance = Point3dDistance(rPoints(0), rPoints(1))
    MsgBox ("The text Length is: " & Round(Distance, 4))
    
    ' Restart the command
    CommandState.StartLocate Me
    
End Sub

Private Sub ILocateCommandEvents_Cleanup()

End Sub

Private Sub ILocateCommandEvents_Dynamics(Point As Point3d, ByVal view As view, ByVal DrawMode As MsdDrawingMode)

End Sub

Private Sub ILocateCommandEvents_LocateFailed()

End Sub

Private Sub ILocateCommandEvents_LocateFilter(ByVal Element As Element, Point As Point3d, Accepted As Boolean)

    If Element.Type = msdElementTypeText Then
        Accepted = True
    Else
        Accepted = False
        Beep
    End If

End Sub

Private Sub ILocateCommandEvents_LocateReset()

End Sub

Private Sub ILocateCommandEvents_Start()
    ShowPrompt "Select Element"
    ShowCommand "Element Location Command"
End Sub
