VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ClsJustifyED"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements ILocateCommandEvents

'  This is called when the user enters a data point after the
'  LocateFilter has accepted an element
Private Sub ILocateCommandEvents_Accept(ByVal Element As Element, _
                point As Point3d, ByVal View As View)
   
   Dim regionText As String
   Dim rgn As DataEntryRegion
   Dim myJustify As Integer
    
    If frmJustifyEd.ComboBoxSelect.Value = "Left" Then
        myJustify = msdDataEntryRegionJustificationLeft
    ElseIf frmJustifyEd.ComboBoxSelect.Value = "Center" Then
        myJustify = msdDataEntryRegionJustificationCenter
    Else 'Right
        myJustify = msdDataEntryRegionJustificationRight
    End If
    
    
    ' Enter DataField Start from 1 (index)
    rgn = Element.AsTextElement.DataEntryRegion(1)
    rgn.Justification = myJustify
   
   
    'get the text
   regionText = Element.AsTextElement.DataEntryRegionText(1)
   ' erase the display
   Element.AsTextElement.Redraw msdDrawingModeErase
   
   Element.AsTextElement.DataEntryRegion(1) = rgn

'   msdDataEntryRegionJustificationLeft -1 (&HFFFFFFFF)
'   msdDataEntryRegionJustificationCenter 0 (&H0)
'   msdDataEntryRegionJustificationRight 1 (&H1)
   
   Element.AsTextElement.DataEntryRegionText(1) = regionText
   
   Element.AsTextElement.Rewrite
   Element.AsTextElement.Redraw msdDrawingModeNormal
   
    CommandState.StartLocate New ClsJustifyED
End Sub

Private Sub ILocateCommandEvents_Cleanup()

End Sub

Private Sub ILocateCommandEvents_Dynamics(point As Point3d, _
        ByVal View As View, ByVal DrawMode As MsdDrawingMode)
        
End Sub

Private Sub ILocateCommandEvents_LocateFailed()
    CommandState.StartLocate New ClsJustifyED
End Sub


Private Sub ILocateCommandEvents_LocateFilter(ByVal Element As Element, _
        point As Point3d, Accepted As Boolean)
    ' If this method does not set Accepted to False, then
    ' the element is accepted. This functions remembers what
    ' element was accepted and the datapoint used to accept
    ' the element.  Then it starts dynamics.
    If (Element.Type = msdElementTypeText) And (Element.AsTextElement.DataEntryRegionsCount > 0) Then
        Accepted = True
    Else
        Accepted = False
    End If
        
End Sub

Private Sub ILocateCommandEvents_LocateReset()
    CommandState.StartLocate New ClsJustifyED
End Sub

Private Sub ILocateCommandEvents_Start()
    
    '  MicroStation disables AccuSnap whenever a new command starts, so a command
    '  should enable AccuSnap whenever it is appropriate.  This user still has the
    '  ability to turn off AccuSnap. Enabling AccuSnap does not override that.
    '  EnableAccuSnap only enables AccuSnap if the user has it turned on.
    CommandState.EnableAccuSnap
    
    ShowCommand "Justify Enter Data Field"
    ShowPrompt "Select an Enter Data Field"
End Sub







