Attribute VB_Name = "dataFieldEdit"
'==============================================================================
' This function will toggle the Text Editor Style in preferences.
' It will toggle between the Dialog Box and the Key-in.
' The set toggle value is returned.
' 0 = Dialog Box
' 1 = WYSIWYG
' 2 = Key-in
' 4 = Word Processor
'------------------------------------------------------------------------------
Function EditorToggle(Value As Integer) As Integer
    
    If Value = 0 Or Value = 1 Or Value = 4 And times = 0 Then
        SetCExpressionValue "userPrefsP->textEditorStyle", 2, "USERPREF"
    End If
   
    EditorToggle = SUCCESS
End Function
'==============================================================================
Function EditorToggle2(Value2 As Integer, Value As Integer) As Integer
        
    If Value2 = 2 Then
        SetCExpressionValue "userPrefsP->textEditorStyle", Value, "USERPREF"
    End If
    
    EditorToggle2 = SUCCESS
End Function



Sub Main()

    Dim message As CadInputMessage
    Dim point As Point3d
    Dim line As String
    Dim Value As Integer
    Dim Value2 As Integer
     
    'Get current setting for text editor
    Value = GetCExpressionValue("userPrefsP->textEditorStyle", "USERPREF")
    'Set text editor to Keyin if not already set.
    status = EditorToggle(Value)
    
    
    Set message = CadInputQueue.GetInput(msdCadInputTypeDataPoint, msdCadInputTypeReset)
    
    If message.InputType = msdCadInputTypeDataPoint Then
        
        point = message.point
        CadInputQueue.SendCommand "EDIT SINGLE DIALOG "
        CadInputQueue.SendDataPoint point
        
        'This is where you set your string.
        CadInputQueue.SendKeyin "Hello"
                
    End If
    
    'Grab the current text editor value.
    Value2 = GetCExpressionValue("userPrefsP->textEditorStyle", "USERPREF")
    
    'Set text editor back to original.
    status = EditorToggle2(Value2, Value)
    
    'Start default command.
    CommandState.StartDefaultCommand
End Sub



