VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "PackagerCls1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Function GetActiveProjectPath(projectName As String) As String
    Dim s As String
    Dim pos As Long
    
    s = VBE.ActiveVBProject.fileName
    pos = InStrRev(s, "\")
    If pos > 0 Then
        s = Left(s, pos - 1)
    End If
    GetActiveProjectPath = s + "\"
End Function

Public Sub GetProject(projName As String)

    ' Set a reference to Microsoft Visual Basic for Applications Extensibility 5.3.

    Dim oProject        As VBIDE.VBProject
    Dim oReference      As VBIDE.Reference
    Dim oListItems      As ListItems
    Dim oListItem       As ListItem
    Dim oListSubItems   As ListSubItems
    Dim oListSubItem    As ListSubItem
    
    Set oProject = VBE.VBProjects(projName)
    Set oListItems = PackagerFrm.ListView1.ListItems
    oListItems.Clear
    
    ' The following code iterates through all of the projects.
    For Each oReference In oProject.References
        Set oListItem = oListItems.Add(, , oReference.Name)
        Set oListSubItem = oListItem.ListSubItems.Add(, , oReference.Description)
        Set oListSubItem = oListItem.ListSubItems.Add(, , oReference.fullPath)
    Next oReference
End Sub

Public Function GetPath(fullPath As String) As String
    Dim char As String
    Dim i As Long
    
    i = Len(fullPath)
    While char <> "\"
        char = Mid$(fullPath, i, 1)
        i = i - 1
    Wend
    GetPath = Mid$(fullPath, 1, i + 1)
End Function

