Attribute VB_Name = "DevsptInclude"
Option Explicit
' ### Please ensure that any additions are placed in alpha-numeric order

'-----------------------------------------------------------------------+
'
'   Public Function Declarations
'
'-----------------------------------------------------------------------+

' ### Window Declarations
Public Declare Function FindWindow Lib "user32" Alias _
        "FindWindowA" (ByVal lpClassName As String, ByVal _
        lpWindowName As String) As Long
        
Public Declare Function GetOpenFileName Lib "comdlg32.dll" Alias _
        "GetOpenFileNameA" (pOpenFileName As OPENFILENAME) As Long
Public Declare Function GetWindowLong Lib "user32" Alias _
        "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex _
        As Long) As Long
        
Public Declare Function LoadImageA Lib "user32.dll" _
        (ByVal inst As Long, ByVal filename As String, _
         ByVal utype As Integer, ByVal cx As Integer, _
         ByVal cy As Integer, ByVal uint As Integer) As Long
         
Public Declare Function RedrawWindow Lib "user32" (ByVal hwnd As Long, _
            ByVal lprcUpdate As Long, ByVal hrgnUpdate As Long, _
            ByVal fuRedraw As Long) As Long

Public Declare Function SendMessage Lib "user32" Alias _
        "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, _
        ByVal wParam As Integer, ByVal lParam As Long) As Long

Public Declare Function SetClassLongA Lib "user32.dll" _
        (ByVal hwnd As Long, ByVal index As Integer, ByRef _
         newVal As Long) As Long
         
Public Declare Function SetWindowLong Lib "user32" Alias _
        "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex _
        As Long, ByVal dwNewLong As Long) As Long

Public Declare Function upDateWindow Lib "user32" Alias "UpdateWindow" _
            (ByVal hwnd As Long) As Long
            

'-----------------------------------------------------------------------+
'
'   Public Constant Members
'
'-----------------------------------------------------------------------+

' ### General Constants
Public Const MAX_CSTRING = 512
Public Const MAX_WSTRING = 1024
Public Const SUCCESS = 0

' ### Window Constants
Public Const IMAGE_ICON As Long = 1
Public Const LR_LOADFROMFILE As Long = &H10
Public Const OFN_EXPLORER = &H80000
Public Const OFN_FILEMUSTEXIST = &H1000&
Public Const OFN_HIDEREADONLY = &H4&
Public Const OFN_PATHMUSTEXIST = &H800&
Public Const RDW_UPDATENOW = &H100
Public Const WM_NCPAINT As Long = &H85
Public Const WM_PAINT As Long = &HF
Public Const WM_SETICON As Long = &H80

'-----------------------------------------------------------------------+
'
'   Public Type Members
'
'-----------------------------------------------------------------------+

' ### Window Types
Public Type OPENFILENAME
    lStructSize         As Long
    hwndOwner           As Long
    hInstance           As Long
    lpstrFilter         As String
    lpstrCustomFilter   As String
    nMaxCustFilter      As Long
    nFilterIndex        As Long
    lpstrFile           As String
    nMaxFile            As Long
    lpstrFileTitle      As String
    nMaxFileTitle       As Long
    lpstrInitialDir     As String
    lpstrTitle          As String
    flags               As Long
    nFileOffset         As Integer
    nFileExtension      As Integer
    lpstrDefExt         As String
    lCustData           As Long
    lpfnHook            As Long
    lpTemplateName      As String
End Type



