VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} newLoc 
   Caption         =   "Workspace Wizard - New Projects and Location"
   ClientHeight    =   3795
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5160
   OleObjectBlob   =   "newLoc.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "newLoc"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public oCollection As New Collection
Public firstProj As String

'constants used for Browse CommandButton
Private Const MAX_PATH As Long = 260
Private Const FILE_MYCOMPUTER As Long = 0

' Browsing for directory Return type.
Private Const BIF_RETURNONLYFSDIRS = &H1

'*----------------------------------------------------------------------+
'
'   Types
'
'----------------------------------------------------------------------*/
Private Type BROWSEINFO 'BI
   hOwner As Long
   pidlRoot As Long
   pszDisplayName As String
   lpszTitle As String
   ulFlags As Long
   lpfn As Long
   lParam As Long
   iImage As Long
End Type

'*----------------------------------------------------------------------+
'
'   Function Declarations
'
'----------------------------------------------------------------------*/
Private Declare Sub CoTaskMemFree Lib "ole32.dll" (ByVal hMem As Long)

Private Declare Function SHBrowseForFolder Lib "shell32.dll" _
   Alias "SHBrowseForFolderA" _
  (lpBrowseInfo As BROWSEINFO) As Long

Private Declare Function SHGetSpecialFolderLocation _
   Lib "shell32.dll" _
  (ByVal hwndOwner As Long, _
   ByVal nFolder As Long, _
   pidl As Long) As Long
   
Private Declare Function SHGetPathFromIDList _
    Lib "shell32.dll" _
    (ByVal pidList As Long, _
    ByVal lpBuffer As String) As Long



Private Sub CheckBox1_Click()
    If CheckBox1.Value = False Then
        CommandButton6.Enabled = True
        TextBox2.Enabled = True
        Label1.Enabled = True
        
    Else
        CommandButton6.Enabled = False
        TextBox2.Enabled = False
        TextBox2.text = ""
        Label1.Enabled = False
    End If
End Sub

Private Sub CommandButton1_Click()
    newLoc.Hide
End Sub

Private Sub CommandButton2_Click()
    Dim oldtext
    
    firstProj = ""
    TextBox2.text = ""
    TextBox2.Enabled = False
    TextBox3.text = ""
    CheckBox1.Value = True
    addFlag = False
    CommandButton4.Enabled = False
    CommandButton6.Enabled = False
    ListBox1.Clear
        
    For Each oldtext In oCollection
        oCollection.Remove (1)
    Next
    
    newLoc.Hide
    newUser.Show
End Sub


Private Sub makeProj(projDir As String)
    Dim newText
    Dim i As Integer
    
    For Each newText In oCollection
            MkDir projDir & "\" & newText
            FileCopy pConfigVarValue & "project.template", projDir & "\" & newText & ".pcf"
            For i = LBound(subDirs) To UBound(subDirs)
                MkDir projDir & "\" & newText & "\" & subDirs(i)
            Next i
    Next

    
End Sub

Private Sub CommandButton4_Click()
    Dim lastplace As String
    Dim ucfFile As String
    
    ' Path and name of User Configuration file
    ucfFile = uConfigVarValue & newUser.TextBox1.text & ".ucf"
    
    ' Use default location for Projects
    If CheckBox1.Value = True Then
        Open ucfFile For Output As #1
        Print #1, "_USTN_PROJECT = $(_USTN_PROJECTSROOT)" & newUser.TextBox1.text & "/"
        Print #1, "_USTN_PROJECTNAME = " & firstProj
        Close #1
        MkDir pConfigVarValue & newUser.TextBox1.text
        makeProj (pConfigVarValue & newUser.TextBox1.text)
        newLoc.Hide
    Else
    ' Use specified location for Projects
        If "" <> TextBox2.text Then
            TextBox2.text = Replace(TextBox2.text, "\", "/", 1, -1, vbTextCompare)
            lastplace = Right(TextBox2.text, 1)
            If 0 <> StrComp("/", lastplace, vbTextCompare) Then
                TextBox2.text = TextBox2.text & "/"
            End If

            If "" = Dir(TextBox2.text, vbDirectory) Then
                MsgBox TextBox2.text & " doesn't exist"
                TextBox2.text = ""
            Else
                Open ucfFile For Output As #1
                Print #1, "_USTN_PROJECT = " & TextBox2.text & newUser.TextBox1.text & "/"
                Print #1, "_USTN_PROJECTNAME = " & firstProj
                Close #1
                MkDir TextBox2.text & newUser.TextBox1.text
                makeProj (TextBox2.text & newUser.TextBox1.text)
                newLoc.Hide
            End If
        Else
            MsgBox "provide a custom location"
        End If
    End If
    
    
    
End Sub

Private Sub CommandButton5_Click()
    Dim newText
    
    If "" <> TextBox3.text Then
        If addFlag = False Then
            addFlag = True
            firstProj = TextBox3.text
            CommandButton4.Enabled = True
            ListBox1.AddItem (TextBox3.text)
            oCollection.Add (TextBox3.text)
            TextBox3.text = ""
        Else
            For Each newText In oCollection
                If 0 = StrComp(newText, TextBox3.text, vbTextCompare) Then
                    MsgBox TextBox3.text & " already created"
                    TextBox3.text = ""
                End If
            Next
            
            If "" <> TextBox3.text Then
                ListBox1.AddItem (TextBox3.text)
                oCollection.Add (TextBox3.text)
                TextBox3.text = ""
            End If
        End If
     
    End If
    
End Sub

Function AsciiZ(text As String) As String

Dim i As Long
i = InStr(text, Chr(0))
If i = 0 Then
    AsciiZ = text
Else
    AsciiZ = Left(text, i - 1)
End If
End Function

'*----------------------------------------------------------------------+
'
'   name        BrowseFolders
'
'   author      BSI                                         11/2001
'
'----------------------------------------------------------------------*/
Private Function BrowseFolders(BIFflags As Long, deviceFlag As Long, title As String) As String
   Dim BI As BROWSEINFO
   Dim pidl As Long
   Dim sPath As String
   Dim pos As Integer
   Dim hWnd As Long
   Dim path As String
   Dim lpIDList As Long
   Dim iNull As Integer

   If BIFflags = BIF_RETURNONLYFSDIRS Then
    SHGetSpecialFolderLocation hWnd, deviceFlag, pidl
   End If
      With BI
         .hOwner = 0
        'Pointer to the item identifier list specifying
        'the location of the "root" folder to browse from.
         .pidlRoot = pidl
         .pszDisplayName = Space$(MAX_PATH)
        'Title to be displayed in the Browse dialog
         .lpszTitle = title
        'The type of folder to return
         .ulFlags = BIFflags
      End With
     
    lpIDList = SHBrowseForFolder(BI)
    If lpIDList Then
        ' Size string
        path = String$(MAX_PATH, 0)
        
        ' Get path
        SHGetPathFromIDList lpIDList, path
                
        'free the block of memory
        CoTaskMemFree lpIDList
                
        ' See if sting is null terminated
        iNull = InStr(path, vbNullChar)
                
        If iNull Then
            path = Left$(path, iNull - 1)
        End If
    
        'Return full path of folder
        BrowseFolders = path
            
        End If
   
End Function


Private Sub CommandButton6_Click()
    TextBox2.text = BrowseFolders(BIF_RETURNONLYFSDIRS, FILE_MYCOMPUTER, "*** Select Project Directory ***")
End Sub
