VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} UserForm1 
   Caption         =   "Change Color"
   ClientHeight    =   2790
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3150
   OleObjectBlob   =   "UserForm1.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "UserForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'-----------------------------------------------------------------------+
'                                                                       |
' Copyright 1993-2001, Bentley Systems, Incorporated                    |
' All rights reserved.                                                  |
'                                                                       |
' Limited permission is hereby granted to reproduce and modify this     |
' copyrighted material provided that the resulting code is used only in |
' conjunction with Bentley Systems products under the terms of the      |
' license agreement provided therein, and that this notice is retained  |
' in its entirety in any such reproduction or modification.             |
'                                                                       |
'----------------------------------------------------------------------*/
'-----------------------------------------------------------------------+
' chgColorDialog
'
' Status: WORKING
'
' Date: 10/30/01
'
' This example will change the color of elements, determined by the
' element type and current color.
'
' Author: Dan Tartaglia                                      10/30/01
'
'-----------------------------------------------------------------------+
'-----------------------------------------------------------------------+
'
'   name        CommandButton1_Click
'
'   author      BSI                                          10/2001
'
'-----------------------------------------------------------------------+
Private Sub CommandButton1_Click()

    Dim elementInfo     As String
    Dim textField       As String
    Dim chgFromColorStr As String
    Dim chgToColorStr   As String
    Dim elementType     As Integer
    Dim chgFromColor    As Long
    Dim chgToColor      As Long
           
    ShowPrompt ""
    ShowStatus ""
    
    'Moving the typed in text to string variables
    textField = ComboBox1.Text
    chgFromColorStr = TextBox2.Text
    chgToColorStr = TextBox3.Text
    
    'The below If/Else statements verify that the text fields were given valid data
    If textField <> "" And chgFromColorStr <> "" And chgToColorStr <> "" Then
    
        elementType = elementNumberFromName(textField)
        
        If elementType = 0 Then
            ShowStatus "Invalid Element Type"
            ComboBox1.Text = ""
            Exit Sub
        Else
            chgFromColor = Val(chgFromColorStr)
            chgToColor = Val(chgToColorStr)
            
            If chgFromColor >= 0 And chgFromColor < 255 And chgToColor >= 0 And chgToColor < 255 Then
                Call scanFile(elementType, chgFromColor, chgToColor, textField)
            Else
                ShowStatus "Invalid Color Numbers"
            End If
        End If
        
    Else
        ShowStatus "All Fields Need to be Filled Out"
    End If
 
End Sub

'-----------------------------------------------------------------------+
'
'   name        CommonDialog1_Enter
'
'   author      BSI                                          10/2001
'
'-----------------------------------------------------------------------+
Private Sub CommonDialog1_Enter()

End Sub

'-----------------------------------------------------------------------+
'
'   name        UserForm_Initialize
'
'   author      BSI                                          10/2001
'
'-----------------------------------------------------------------------+
Private Sub UserForm_Initialize()

    Dim MyComboBox()
    Dim i As Integer

 'The titles will be added to the combo box
    MyComboBox = Array("All Elements", "Arc", "Complex Chain", "Curve", "Dimension", "Ellipse", "Library Cell", "Line", "Line String", "Multi Line", "Shape", "Shared Cell", "Surface", "Tag", "Text", "Text Node")
    
    For i = 0 To 15
        ComboBox1.AddItem MyComboBox(i)
        
    Next

End Sub
