VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} DBForm 
   Caption         =   "Database Example"
   ClientHeight    =   3720
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6000
   OleObjectBlob   =   "DBForm.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "DBForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'-----------------------------------------------------------------------+
'
'   name        changeBtn_Click
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
Private Sub changeBtn_Click()

    Dim Msg, Style, Title, Help, Ctxt, Response, MyString
    
    Msg = "Are you sure you want to modify the database with the current information?"

    Style = vbYesNo + vbCritical + vbDefaultButton2
    Title = "MsgBox Demonstration"
    Help = "DEMO.HLP"
    Ctxt = 1000
        
    Response = MsgBox(Msg, Style, Title, Help, Ctxt)
    
    If Response = vbYes Then
        If DBForm.mslinkNum = "" Then
            ' Populates the message fields on the form
            msgProcess "An element has not been selected", "Error Found:"
        Else
On Error GoTo Failed
            recordInfoSet oDatabaseLink()
            ' Populates the message fields on the form
            msgProcess "The record for mslink no: " & CStr(mslinkNum) & " is modified", "DB Modified:"
        End If
    Else
        ' Blanks out the message fields on the form
        msgProcess "", ""
    End If
    Exit Sub
    
Failed:
    ' Populates the message fields on the form
    msgProcess "An element has not been selected", "Error Found:"

End Sub

'-----------------------------------------------------------------------+
'
'   name        extractBtn_Click
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
Private Sub extractBtn_Click()
    CommandState.StartLocate New DBLocate
End Sub

'-----------------------------------------------------------------------+
'
'   name        minusBtn_Click
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
Private Sub minusBtn_Click()

    linkCounter = linkCounter - 1
    
    DBForm.plusBtn.Enabled = True
    
    If linkCounter = 0 Then
        DBForm.minusBtn.Enabled = False
    Else
        DBForm.minusBtn.Enabled = True
    End If
    
    recordInfoGet oDatabaseLink()

End Sub

'-----------------------------------------------------------------------+
'
'   name        plusBtn_Click
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
Private Sub plusBtn_Click()
    
    linkCounter = linkCounter + 1
    
    If linkCounter > 0 Then
        DBForm.minusBtn.Enabled = True
        
    End If
    
    If linkCounter = (totLinkCounter - 1) Then
        DBForm.plusBtn.Enabled = False
    End If
    
    recordInfoGet oDatabaseLink()

End Sub

'-----------------------------------------------------------------------+
'
'   name        UserForm_Terminate
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
Private Sub UserForm_Terminate()

    ' Closes the database correctly
    dbClose
    
    ' Starts the default command
    CommandState.StartDefaultCommand
    
    ShowError "Application Exited"
    
    ' Ends the application
    End
End Sub
