VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} CellCounterF1 
   Caption         =   "Element Counter"
   ClientHeight    =   4380
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6090
   OleObjectBlob   =   "CellCounterF1.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "CellCounterF1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub btnCellCount_Click()
    CellDgnCount
End Sub

Private Sub btnExit_Click()
    Unload Me
End Sub

Private Sub cboElemNames_Change()
    If cboElemNames.Text = "Cell Header" Then
        StatusBar1.Visible = True
        'Label1.Visible = True
        'TextBox1.Visible = True
     Else
        StatusBar1.Visible = False
        'Label1.Visible = False
        'TextBox1.Visible = False
    End If
End Sub

Private Sub CheckBox1_Click()
    If CheckBox1.Value Then
        cboElemNames.Enabled = False
        StatusBar1.Visible = True
    Else
        cboElemNames.Enabled = True
        StatusBar1.Visible = False
    End If
End Sub

Private Sub chkLevels_Click()
    If chkLevels.Value Then
        cboLevels.Enabled = True
    Else
        cboLevels.Enabled = False
    End If
End Sub

Private Sub TreeView1_NodeClick(ByVal Node As MSComctlLib.Node)
    Dim oElement As Element
    Dim cCellCounterC1 As New CellCounterC1
    
    If Node.Children = 0 Then
        Set oElement = ActiveDesignFile.GetElementByID(DLongFromString(Node.Text))
        cCellCounterC1.ZoomElement oElement, TextBox2.Text
    End If
End Sub

Private Sub UserForm_Initialize()
    Dim oLevels As Levels
    Dim oLevel As Level
    Dim cCellCounterC1 As New CellCounterC1
    Dim i As Long
    
    ' Fills ComboBox with all Element Names from CellCounterC1 class
    For i = 1 To 88
        If InStr(cCellCounterC1.TypeNum2Name(i), "NOT FOUND") = 0 Then
            cboElemNames.AddItem cCellCounterC1.TypeNum2Name(i)
        End If
    Next
   cboElemNames.Text = cboElemNames.List(0)
   
   ' Initializes oLevels with all levels in Design File
   Set oLevels = ActiveDesignFile.Levels
   
   ' Steps through each level in Design File
   For Each oLevel In oLevels
        If oLevel.IsInUse Then
            cboLevels.AddItem oLevel.Name
        End If
   Next
   cboLevels.Text = cboLevels.List(0)
End Sub
