Attribute VB_Name = "scaleElementLineStyle"
Option Explicit

'
' This example show you have to change element line style scale.
'

'selection set version
Sub scaleElementLineStyle()
    
    Dim oScanCriteria           As New ElementScanCriteria
    Dim oEnumerator             As ElementEnumerator
    Dim newElem                 As Element
    Dim oLevel                  As Level
    
  '  Set oLevel = ActiveDesignFile.Levels("Flowline")
  '  oScanCriteria.ExcludeAllLevels
  '  oScanCriteria.IncludeLevel oLevel 'only scan this level
    oScanCriteria.ExcludeNonGraphical 'graphical only.
  ' you may set other criteria.

    Set oEnumerator = ActiveModelReference.Scan(oScanCriteria)
    'clear selection set if any
    ActiveModelReference.UnselectAllElements

    ' add all selected element to the selection set.
    Do While oEnumerator.MoveNext
        ActiveModelReference.SelectElement oEnumerator.Current
    Loop
         
    ' set keyin command
     CadInputQueue.SendKeyin "change linestyle scale 6"
  
    'clear selection set.
    ActiveModelReference.UnselectAllElements
    
End Sub

' ***************************
' Object model version
' only works on 8.5 or later.
' ***************************
Sub scaleElementLineStyle1()
    
    Dim oScanCriteria           As New ElementScanCriteria
    Dim oEnumerator             As ElementEnumerator
    Dim newElem                 As Element
    Dim oLevel                  As Level
    Dim oStyle As LineStyle
    
  '  Set oLevel = ActiveDesignFile.Levels("Flowline")
  '  oScanCriteria.ExcludeAllLevels
  '  oScanCriteria.IncludeLevel oLevel 'only scan this level
    oScanCriteria.ExcludeNonGraphical 'graphical only.
  ' you may set other criteria.
    
    ' set active style and scale.
    CadInputQueue.SendKeyin "active style ( Divide )"
    CadInputQueue.SendKeyin "active linestylescale 3"
    
    Set oStyle = ActiveSettings.LineStyle

    Set oEnumerator = ActiveModelReference.Scan(oScanCriteria)

    Do While oEnumerator.MoveNext
        oEnumerator.Current.Redraw msdDrawingModeErase
        oEnumerator.Current.LineStyle = oStyle
        oEnumerator.Current.Rewrite
        oEnumerator.Current.Redraw msdDrawingModeNormal
    Loop
   
   CommandState.StartDefaultCommand
End Sub


