VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ReferenceElementDelete"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements ILocateCommandEvents

Private Sub ILocateCommandEvents_Accept(ByVal Element As Element, Point As Point3d, ByVal View As View)

    ElementProcess Element
    
    CadInputQueue.SendCommand "reference reload " & strDGNName
    
End Sub

Private Sub ILocateCommandEvents_Cleanup()

End Sub

Private Sub ILocateCommandEvents_Dynamics(Point As Point3d, ByVal View As View, ByVal DrawMode As MsdDrawingMode)

End Sub

Private Sub ILocateCommandEvents_LocateFailed()

End Sub

Private Sub ILocateCommandEvents_LocateFilter(ByVal Element As Element, Point As Point3d, Accepted As Boolean)
   
End Sub

Private Sub ILocateCommandEvents_LocateReset()

    ' Close the DGN
    WorkDgnCloseFile modelRef, oModelReference
            
    CommandState.StartDefaultCommand
    ShowMessage "Application Exited"
End Sub

Private Sub ILocateCommandEvents_Start()

    Dim lc As LocateCriteria

    ' Since this command does not modify the original element,
    ' set the locate criteria to allow  read-only elements.
    Set lc = CommandState.CreateLocateCriteria(False)
    CommandState.SetLocateCriteria lc
    
    ShowCommand "Delete Elements from a Reference Example"
    ShowPrompt "Select an element to delete"
End Sub
