Attribute VB_Name = "Module1"
Option Explicit
'This example shows how to loop through reference attachments, and merge specific
'attachment by logical name.
Sub main()
    
            
    Dim RefCounter As Integer
    Dim oRefs As Attachments
    Dim oRef As Attachment
    Dim LogicalToCompare As String
    
    'This allows you to close out the alert dialog box that asks you if you want to merge
    'the files found.  I got this and the class using the recorder.
    Dim modalHandler As New Macro1ModalHandler
    AddModalDialogEventsHandler modalHandler
    
    
    'Logical name to search for.
    LogicalToCompare = "test"
    
    'Get the current attachments.
    Set oRefs = ActiveModelReference.Attachments
 
    'Loop through each reference.
    For Each oRef In oRefs
        
        'If current attachment's logical matches then remove, and notify user.
        If oRef.LogicalName = LogicalToCompare Then
                                            
            'Send keyin to merge(don't forget to put space after merge).
            CadInputQueue.SendKeyin "reference merge " + oRef.LogicalName
            
            'This removes the handler events.
            RemoveModalDialogEventsHandler modalHandler
            
            CommandState.StartDefaultCommand
            MsgBox "Reference file found and merged."
            
            'Exit loop.
            Exit For
            
        End If
    
    Next
        
End Sub
