Attribute VB_Name = "Module1"
Option Explicit
'-----------------------------------------------------------------------+
'                                                                       |
' Copyright 1993-2001, Bentley Systems, Incorporated                    |
' All rights reserved.                                                  |
'                                                                       |
' Limited permission is hereby granted to reproduce and modify this     |
' copyrighted material provided that the resulting code is used only in |
' conjunction with Bentley Systems products under the terms of the      |
' license agreement provided therein, and that this notice is retained  |
' in its entirety in any such reproduction or modification.             |
'                                                                       |
'----------------------------------------------------------------------*/


Sub startScan()
    Dim i As Long
    Dim j As Long
    Dim count As Long
    Dim mName As String
    Dim rName As String
    Dim oRefs As Attachments
    
    Unload UserForm1
    Unload UserForm2
    Load UserForm1
    Load UserForm2
        
    ' get the reference file attachments
    Set oRefs = ActiveModelReference.Attachments

    ' get the masterfile name and the active model name
    mName = ActiveDesignFile.Name & ", " & ActiveModelReference.Name
    
    UserForm1.ListBox1.AddItem mName
    
    UserForm1.ListBox1.Selected(0) = True
    
    For count = 1 To oRefs.count
        ' get the reference file names and the model name
        rName = oRefs.Item(count).DesignFile.Name & " ," & oRefs.Item(count).Name
        UserForm1.ListBox1.AddItem rName
    Next count
    
    UserForm1.Show
End Sub
