VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmTagSetDefAdd 
   Caption         =   "Tags"
   ClientHeight    =   3225
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7500
   OleObjectBlob   =   "frmTagSetDefAdd.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmTagSetDefAdd"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub btnAddSet_Click()
    AddSet txtAddSet.Text
End Sub

Private Sub btnRefresh_Click()
    init
End Sub

Private Sub TreeView1_KeyDown(KeyCode As Integer, ByVal Shift As Integer)
    Dim oNode As Node
    Dim oNodes As Nodes
    Dim iNode As Long
    Dim oTagSets As TagSets
    Dim oTagSet As tagSet
    Dim oTagDefs As TagDefinitions
    Dim oTagDef As TagDefinition
    Dim tagDef As String
    Dim tagSet As String
    
    If KeyCode = vbKeyDelete Then
        Set oNodes = TreeView1.Nodes
        Set oTagSets = ActiveDesignFile.TagSets
        For iNode = 1 To oNodes.Count
            Set oNode = oNodes(iNode)
            If oNode.Selected Then
                If Not oNode.Parent Is Nothing Then
                    tagSet = oNode.Parent
                    tagDef = oNode.Text
                    Set oTagSet = oTagSets.Item(tagSet)
                    Set oTagDefs = oTagSet.TagDefinitions
                    oTagDefs.Remove (tagDef)
                    oNodes.Remove (oNode.Index)
                    Exit For
                Else
                    oTagSets.Remove (oNode.Text)
                    oNodes.Remove (oNode.Index)
                    Exit For
                End If
            End If
        Next
    End If
End Sub

Private Sub TreeView1_NodeClick(ByVal Node As MSComctlLib.Node)
    Dim oTagDefs As TagDefinitions
    Dim oTagDef As TagDefinition
    Dim oTagSet As tagSet
    Dim oTagSets As TagSets
    Dim tagDefType As Long
    Dim tagCls As New clsTagSetDefAdd
    
   If OptionButton1.Value Then
        tagDefType = msdTagTypeCharacter
    End If
    If OptionButton2.Value Then
        tagDefType = msdTagTypeLongInteger
    End If
    If OptionButton3.Value Then
        tagDefType = msdTagTypeDouble
    End If
    
    If Node.Root = Node.FirstSibling Then
        If txtAddDef.Text <> "" Then
            Set oTagSet = ActiveDesignFile.TagSets(Node.Text)
            oTagSet.TagDefinitions.Add txtAddDef.Text, tagDefType
            TreeView1.Nodes.Add "P" + Node.Text, tvwChild, "C" + txtAddDef.Text, txtAddDef.Text, 5
            TreeView1.Nodes.Add "C" + txtAddDef.Text, tvwChild, , tagCls.tagType(tagDefType), tagDefType
            txtAddDef.Text = ""
        End If
    End If
End Sub

Private Sub TreeView1_OLEDragDrop(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single)
    AddSet Data.GetData(1)
End Sub

Private Sub txtAddSet_Change()
    If txtAddSet.Text = "" Then
        btnAddSet.Enabled = False
    Else
        btnAddSet.Enabled = True
    End If
End Sub

Private Sub UserForm_Initialize()
    init
End Sub
