VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "editDataField"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements ILocateCommandEvents

Private startPnt As Point3d
Private oEl As TextElement

Private Sub ILocateCommandEvents_Accept(ByVal Element As Element, Point As Point3d, ByVal View As View)
    'Text string to add to datafield.
    oEl.Text = "works"
    'Rewrite the element.
    oEl.Rewrite
    'Redraw element.
    oEl.Redraw msdDrawingModeNormal
    'Update the views.
    CadInputQueue.SendCommand "update all views"
End Sub

Private Sub ILocateCommandEvents_Cleanup()

End Sub

Private Sub ILocateCommandEvents_Dynamics(Point As Point3d, ByVal View As View, ByVal DrawMode As MsdDrawingMode)

End Sub

Private Sub ILocateCommandEvents_LocateFailed()
    'Prompt user to try again.
    ShowStatus "Try Again, Pick a DataField"
    
    'clear objects
    Set oEl = Nothing
    
    'restart the element-modification command
    CommandState.StartLocate Me
End Sub

Private Sub ILocateCommandEvents_LocateFilter(ByVal Element As Element, Point As Point3d, Accepted As Boolean)
        
    'Check to see if text element and if amount of datafields match.
    If Element.Type = msdElementTypeText Then
        Set oEl = Element
        If oEl.Text = "     " Then
        'if match accept.
            Accepted = True
        Else
        'else reject.
            Accepted = False
        End If
        
    End If
End Sub

Private Sub ILocateCommandEvents_LocateReset()
    
    'Start over.
    Set oEl = Nothing
    
    'restart the element-modification command
    CommandState.StartLocate Me
End Sub

Private Sub ILocateCommandEvents_Start()

    Dim locCriteria As LocateCriteria
    
    'Set locate on.
    Set locCriteria = CommandState.CreateLocateCriteria(True)
    'Set criteria for text only.
    locCriteria.ExcludeAllTypes
    locCriteria.IncludeType msdElementTypeText
    
    'set the LocateCriteria with the SetLocateCriteria method of the CommandState object
    CommandState.SetLocateCriteria locCriteria
    'Prompt user to select text.
    ShowCommand "Edit Datafield"
        
    ShowPrompt "Select text to modify"
End Sub
