Attribute VB_Name = "modDumpRefs"
' Reference 'Microsoft Visual Basic for Applications Extensibility X.X'

Option Explicit
Sub DumpFullPath(ref As Reference, hFile As Integer)
    On Error GoTo HandleError
    
    Print #hFile, "    FullPath: " & ref.FullPath
    Exit Sub
HandleError:
    Print #hFile, "DumpFullPath " & Hex(Err.Number) & ", " & Err.Description & ", " & Err.Source
End Sub
Sub DumpIsBroken(ref As Reference, hFile As Integer)
    On Error GoTo HandleError
    
    Print #hFile, "        IsBroken: " & ref.IsBroken
    Exit Sub
HandleError:
    Print #hFile, "DumpIsBroken " & Hex(Err.Number) & ", " & Err.Description & ", " & Err.Source
End Sub
Sub DumpGUID(ref As Reference, hFile As Integer)
    On Error GoTo HandleError
    
    Print #hFile, "        GUID: " & ref.GUID
    Exit Sub
HandleError:
    Print #hFile, "DumpGUID " & Hex(Err.Number) & ", " & Err.Description & ", " & Err.Source
End Sub
Sub DumpReferences()
    Dim oVBE As VBIDE.VBE
    Dim oProj As VBProject
    Dim ref As Reference
    Dim hLogFile As Integer
    
    Set oVBE = VBE
    
    hLogFile = FreeFile
    
    Open "C:\ReferencesLog.txt" For Output Access Write As hLogFile
        
    For Each oProj In oVBE.VBProjects
        Print #hLogFile, "Project: " & oProj.name
        For Each ref In oProj.References
            DumpFullPath ref, hLogFile
            DumpIsBroken ref, hLogFile
            DumpGUID ref, hLogFile
        Next
    Next
    
    Close hLogFile
End Sub
