Attribute VB_Name = "SavedViews"
Declare Function mdlView_extractElmdscr Lib "stdmdlbltin.dll" (ByRef viewInfoP As Long, ByRef viewPortInfoP As Long, ByVal eDP As Long) As Long
Declare Function mdlViewInfo_getModelRef Lib "stdmdlbltin.dll" (ByRef modelRefPP As Long, ByVal viewInfoP As Long) As Long
Declare Function mdlViewInfo_create Lib "stdmdlbltin.dll" (ByRef viewInfoPP As Long) As Long
Declare Function mdlViewInfo_free Lib "stdmdlbltin.dll" (ByRef viewInfoPP As Long) As Long
'-----------------------------------------------------------------------+
'
'   name        GetModelReference
'
'   author      BSI                                             10/2002
'
'-----------------------------------------------------------------------+
Function GetModelReference(ele As SavedViewElement) As ModelReference
    Dim elmDscrP As Long
    Dim modelRefP As Long
    Dim viewInfo As Long
    
    elmDscrP = ele.MdlElementDescrP
    
    mdlViewInfo_create viewInfo
    mdlView_extractElmdscr viewInfo, 0, elmDscrP
    mdlViewInfo_getModelRef modelRefP, viewInfo
    mdlViewInfo_free viewInfo
    
    Set GetModelReference = MdlGetModelReferenceFromModelRefP(modelRefP)
End Function
'-----------------------------------------------------------------------+
'
'   name        showSavedViews
'
'   author      BSI                                             10/2002
'
'-----------------------------------------------------------------------+
Private Sub showSavedViews()
    Dim ele As SavedViewElement
    Dim ee As ElementEnumerator
    Dim oModel As ModelReference
    Dim SavedViews As New Collection
    Dim ActiveName As String
    
    SavedViewInfo.Show
    
    Set ee = ActiveDesignFile.NonModelElementCache.Scan
 
    Do While ee.MoveNext
        If ee.Current.IsSavedViewElement Then
           Set ele = ee.Current
           Set oModel = GetModelReference(ele)
           
           If ele.Name <> "?" Then
           
            If oModel.Name <> ActiveName Then
                SavedViewInfo.ListBox1.AddItem oModel.Name
                ActiveName = oModel.Name
            End If
                       
            ' Print out saved view name
            SavedViewInfo.ListBox1.AddItem Chr(9) + ele.Name
            
            End If
           
        End If
    Loop
End Sub

Sub main()
    
    ' Show saved views
    showSavedViews
    
End Sub
