Attribute VB_Name = "Scanner"
Option Explicit

'-----------------------------------------------------------------------+
'
'   name        getRefAttachment
'
'   author      BSI                                             10/2002
'
'-----------------------------------------------------------------------+
Sub getRefAttachment()
    
    Dim oAttachment     As Attachment
    Dim oAttachments    As Attachments
    Dim fullFileName    As String
    Dim attachmentName  As String
    
    ' This is the attachment were looking for
    attachmentName = "PlumbingLayout.dgn"
    
    Set oAttachments = ActiveModelReference.Attachments
    
    For Each oAttachment In oAttachments
    
        ' Extracts the reference name
        fullFileName = oAttachment.DesignFile.Name
        
        If attachmentName = fullFileName Then
            attachmentExist = True
            
            ' Processes the cells for the Materials schedule
            ScanForCellsInRef oAttachment
            
            ' Process the lines for the Piping schedule
            ScanForLineStylesInRef oAttachment
        Else
            attachmentExist = False
        End If
    Next
   
    ' If the reference isnt found, display a message
    If attachmentExist = False Then
        ShowError attachmentName + " is not attached"
    End If
    
End Sub
