Attribute VB_Name = "StartApp"
Option Explicit

'-----------------------------------------------------------------------+
'                                                                       |
' Copyright 1993-2003, Bentley Systems, Incorporated                    |
' All rights reserved.                                                  |
'                                                                       |
' Limited permission is hereby granted to reproduce and modify this     |
' copyrighted material provided that the resulting code is used only in |
' conjunction with Bentley Systems products under the terms of the      |
' license agreement provided therein, and that this notice is retained  |
' in its entirety in any such reproduction or modification.             |
'                                                                       |
'----------------------------------------------------------------------*/
'-----------------------------------------------------------------------+
' formPosition
'
' Status: WORKING
'
' This example will generate a report as an Excel worksheet of key components
' in the piping diagram. Also it launches Excel so you can view the output.
' This example gathers it's information from the reference: plumbingLayout.dgn
' only, if it's not attached as a reference the example will not work. The
' resulting worksheet will contain an equipment schedule and piping schedule.
'
' Author: BSI                                                   10/2002
'
'-----------------------------------------------------------------------+
'-----------------------------------------------------------------------+
'
'   name        yesOrNo
'
'   author      BSI                                             12/2002
'
'-----------------------------------------------------------------------+
 Sub yesOrNo()
 
 Dim reply As Integer
    
    reply = MsgBox("Are you sure you want to create the Excel Spreadsheet?", _
                    vbInformation + vbYesNo + vbDefaultButton1)

    If reply = vbYes Then
    
        ' Scans the reference file for the plumbing elements
        getRefAttachment
        
        ' Creates the Excel Spreadsheet
        CreateXLS
        
        Successful.Show
        
        Exit Sub
    Else
        ShowPrompt ""
        ShowStatus "Command Cancelled"
    End If
    
End Sub

'-----------------------------------------------------------------------+
'
'   name        startApp
'
'   author      BSI                                             10/2002
'
'-----------------------------------------------------------------------+
Sub StartApp()
        
    yesOrNo
 
End Sub

