VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} ViewForm 
   Caption         =   "View Window"
   ClientHeight    =   2835
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2235
   OleObjectBlob   =   "ViewForm.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "ViewForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-----------------------------------------------------------------------+
'
'   name        ComboBox_Views_Change
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
'
'   Description:    This sub will update the ComboBox_AppWindows to reflect
'                   which application window this view is set to.
'
'-----------------------------------------------------------------------+
Private Sub ComboBox_Views_Change()
    
    Dim windowP As Long
    Dim screenNumber As Integer
    
    'Get the window pointer and the screen number
    windowP = GetCExpressionValue("mdlWindow_viewWindowGet (" + CStr(ComboBox_Views.ListIndex) + ")")
    screenNumber = GetCExpressionValue("mdlWindow_screenNumGet (" & windowP & ")")
    
    'Set the comboBox to reflect the views window
    ComboBox_AppWindows.ListIndex = screenNumber

End Sub
'-----------------------------------------------------------------------+
'
'   name        CommandButton_Move_Click
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
'
'   Description:    This sub will move the view window to the specified
'                   application window.
'
'-----------------------------------------------------------------------+
Private Sub CommandButton_Move_Click()

viewChangeWindow.viewChangeWindow CStr(ComboBox_Views.ListIndex), _
                                  CStr(ComboBox_AppWindows.ListIndex)

End Sub
'-----------------------------------------------------------------------+
'
'   name        UserForm_Initialize
'
'   Author      BSI                                         12/2002
'
'-----------------------------------------------------------------------+
'
'   Description:    This sub will set up the initial information for the
'                   dialog box
'
'-----------------------------------------------------------------------+
Private Sub UserForm_Initialize()

    Dim windowP As Long
    Dim screenNumber As Variant
    
    'Add view numbers to the combobox
    ComboBox_Views.AddItem "1"
    ComboBox_Views.AddItem "2"
    ComboBox_Views.AddItem "3"
    ComboBox_Views.AddItem "4"
    ComboBox_Views.AddItem "5"
    ComboBox_Views.AddItem "6"
    ComboBox_Views.AddItem "7"
    ComboBox_Views.AddItem "8"
    
    'Add items to the ComboBox_AppWindows item
    ComboBox_AppWindows.AddItem "0"
    ComboBox_AppWindows.AddItem "1"
    
    'Get the view window and the screen number.
    windowP = GetCExpressionValue("mdlWindow_viewWindowGet (" + CStr(ComboBox_Views.ListIndex) + ")")
    screenNumber = GetCExpressionValue("mdlWindow_screenNumGet (" & windowP & ")")
    
    ComboBox_AppWindows.ListIndex = screenNumber

End Sub
